FileGenerator Requires .NET 1.1

It seems like people are still using FileGenerator, the Reflector add-in I wrote to create code files from the decompiled output. The reason I know is I'm getting automated e-mails (which I knew would happen from a previous e-mail from Lutz) whenever there's a problem with FileGenerator. However, the only problem I've seen come by so far looks something like this:

Could not load type System.Windows.Forms.FolderBrowserDialog from assembly System.Windows.Forms, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089.

FileGenerator uses FolderBrowseDialog, which does not exist in .NET 1.0. If you see this error, please realize that FileGenerator requires the 1.1 version of the .NET Framework. Also, if you do get a bug report window in Reflector, please use a valid e-mail address as I can't reply to someone who types in "ss" as their address.

* Posted at 03.21.2005 11:30:43 AM CST | Link *

Blog History